import * as React from 'react';
import sanitizeHtml from 'sanitize-html';
import { TxtProps } from '../../components/Txt';
export { defaultSanitizerOptions } from '../utils';
declare type MarkdownProps = TxtProps & {
    children: string;
    sanitizerOptions?: sanitizeHtml.IOptions;
};
export declare const GitHubMarkdown: import("styled-components").StyledComponent<React.FunctionComponent<TxtProps> & {
    p: React.FunctionComponent<TxtProps>;
    span: React.FunctionComponent<TxtProps>;
}, any, {}, never>;
export declare const Markdown: ({ children, sanitizerOptions, ...props }: MarkdownProps) => JSX.Element;
